# Class ReadEndsForMarkDuplicatesWithBarcodes

java.lang.Object
picard.sam.util.PhysicalLocationInt
picard.sam.markduplicates.util.ReadEnds
picard.sam.markduplicates.util.ReadEndsForMarkDuplicates
picard.sam.markduplicates.util.ReadEndsForMarkDuplicatesWithBarcodes

All Implemented Interfaces:
  `Serializable, Cloneable, PhysicalLocation`

public class ReadEndsForMarkDuplicatesWithBarcodes extends ReadEndsForMarkDuplicates

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`int`
`barcode`
`int`
`readOneBarcode`
`int`
`readTwoBarcode`

### Fields inherited from class ReadEndsForMarkDuplicates

`duplicateSetSize, read1IndexInFile, read2IndexInFile, score, SIZE_OF`

### Fields inherited from class ReadEnds

`F, FF, FR, isOpticalDuplicate, libraryId, orientation, orientationForOpticalDuplicates, R, read1Coordinate, read1ReferenceIndex, read2Coordinate, read2ReferenceIndex, readGroup, RF, RR`

### Fields inherited from class PhysicalLocationInt

`tile, x, y`

### Fields inherited from interface PhysicalLocation

`NO_VALUE`

## Constructor Summary

Constructors
Constructor
Description
`ReadEndsForMarkDuplicatesWithBarcodes()`
`ReadEndsForMarkDuplicatesWithBarcodes(ReadEndsForMarkDuplicates read)`
`ReadEndsForMarkDuplicatesWithBarcodes(ReadEndsForMarkDuplicatesWithBarcodes read)`

## Method Summary

Modifier and Type
Method
Description
`ReadEndsForMarkDuplicatesWithBarcodes`
`clone()`
`static int`
`getSizeOf()`

### Methods inherited from class ReadEndsForMarkDuplicates

`isSingleEndReadKnownFragment, toString`

### Methods inherited from class ReadEnds

`getLibraryId, getOrientationByte, getReadGroup, isPaired, setLibraryId, setReadGroup`

### Methods inherited from class PhysicalLocationInt

`getTile, getX, getY, setTile, setX, setY`

### Methods inherited from class Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface PhysicalLocation

`hasLocation`

## Field Details

### barcode

public int barcode

### readOneBarcode

public int readOneBarcode

### readTwoBarcode

public int readTwoBarcode

## Constructor Details

### ReadEndsForMarkDuplicatesWithBarcodes

public ReadEndsForMarkDuplicatesWithBarcodes()

### ReadEndsForMarkDuplicatesWithBarcodes

public ReadEndsForMarkDuplicatesWithBarcodes(ReadEndsForMarkDuplicates read)

### ReadEndsForMarkDuplicatesWithBarcodes

public ReadEndsForMarkDuplicatesWithBarcodes(ReadEndsForMarkDuplicatesWithBarcodes read)

## Method Details

### clone

public ReadEndsForMarkDuplicatesWithBarcodes clone()

Overrides:
  `clone` in class `ReadEndsForMarkDuplicates`

### getSizeOf

public static int getSizeOf()